Receivements search
Get a list of receivements in a time window of created or received date, optionally filtered on status, organization, store and warehouse.
Set accept header to application/vnd.openxmlformats-officedocument.spreadsheetml.sheet to get response as an excel file.
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Filter receivements via the linked purchase order's supplier.
Match receivements where any item has an OrderItemReservation.
Filter by invoice-approved (fakturagodkjent) state. Set false to return only receivements that are NOT invoice-approved.
Free-text ILIKE across receivement.externalId, receivement.packingList, receivement.supplierOrderReference, and the linked purchase order's purchaseNumber and externalId.
Example response
POST /v2/tenants/{tenantUid}/receivements/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 344
{
"createdAt": {
"from": "2026-01-01T00:00:00.000Z",
"to": "2026-01-01T00:00:00.000Z"
},
"receivedAt": {
"from": "2026-01-01T00:00:00.000Z",
"to": "2026-01-01T00:00:00.000Z"
},
"status": [
"RECEIVED"
],
"organizationUids": [
"text"
],
"storeUids": [
"text"
],
"warehouseUids": [
"text"
],
"supplierUids": [
"text"
],
"hasReservations": true,
"invoiceApproved": true,
"search": "text"
}Example response
{
"items": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"externalId": "text",
"items": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text"
},
"purchaseOrderItemUid": "text",
"quantity": 1,
"unitCost": 1,
"receivementItemUid": "text",
"serialnumber": "text",
"status": "text",
"note": "text",
"tenantUserUid": "text",
"tenantUserDisplayName": "text",
"reservations": [
{
"orderUid": "text",
"orderItemUid": "text",
"orderNumber": "text",
"quantity": 1,
"reservationType": "NONE"
}
]
}
],
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"packingList": "text",
"receivementUid": "text",
"status": "RECEIVED",
"expectedArrival": "2026-01-01T00:00:00.000Z",
"expectedDispatch": "2026-01-01T00:00:00.000Z",
"supplierOrderReference": "text",
"receivedAt": "2026-01-01T00:00:00.000Z",
"receivedBy": {
"tenantUserUid": "text",
"tenantUserDisplayName": "text"
},
"purchaseOrder": {
"purchaseOrderUid": "text",
"purchaseNumber": "text",
"externalId": "text"
},
"supplier": {
"supplierUid": "text",
"name": "text"
},
"store": {
"storeUid": "text",
"name": "text"
},
"organization": {
"organizationUid": "text",
"name": "text"
},
"warehouse": {
"warehouseUid": "text",
"name": "text"
},
"invoiceApproval": {
"approvedAt": "2026-01-01T00:00:00.000Z",
"tenantUserUid": "text",
"tenantUserDisplayName": "text"
}
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

